DROP TABLE CRST_RA_BATCH_SOURCES_ALL;

CREATE TABLE CRST_RA_BATCH_SOURCES_ALL
(
  BATCH_SOURCE_ID              NUMBER(15)       NOT NULL,
  LAST_UPDATE_DATE             DATE             NOT NULL,
  LAST_UPDATED_BY              NUMBER(15)       NOT NULL,
  CREATION_DATE                DATE             NOT NULL,
  CREATED_BY                   NUMBER(15)       NOT NULL,
  LAST_UPDATE_LOGIN            NUMBER(15)       NOT NULL,
  NAME                         VARCHAR2(50 BYTE) NOT NULL,
  ORG_ID                       NUMBER(15),
  DESCRIPTION                  VARCHAR2(240 BYTE),
  STATUS                       VARCHAR2(1 BYTE),
  LAST_BATCH_NUM               NUMBER(15),
  DEFAULT_INV_TRX_TYPE         NUMBER(15),
  ATTRIBUTE_CATEGORY           VARCHAR2(30 BYTE),
  ATTRIBUTE1                   VARCHAR2(150 BYTE),
  ATTRIBUTE2                   VARCHAR2(150 BYTE),
  ATTRIBUTE3                   VARCHAR2(150 BYTE),
  ATTRIBUTE4                   VARCHAR2(150 BYTE),
  ATTRIBUTE5                   VARCHAR2(150 BYTE),
  ATTRIBUTE6                   VARCHAR2(150 BYTE),
  ATTRIBUTE7                   VARCHAR2(150 BYTE),
  ATTRIBUTE8                   VARCHAR2(150 BYTE),
  ATTRIBUTE9                   VARCHAR2(150 BYTE),
  ATTRIBUTE10                  VARCHAR2(150 BYTE),
  ACCOUNTING_FLEXFIELD_RULE    VARCHAR2(30 BYTE),
  ACCOUNTING_RULE_RULE         VARCHAR2(30 BYTE),
  AGREEMENT_RULE               VARCHAR2(30 BYTE),
  AUTO_BATCH_NUMBERING_FLAG    VARCHAR2(1 BYTE),
  AUTO_TRX_NUMBERING_FLAG      VARCHAR2(1 BYTE),
  BATCH_SOURCE_TYPE            VARCHAR2(30 BYTE) NOT NULL,
  BILL_ADDRESS_RULE            VARCHAR2(30 BYTE),
  BILL_CONTACT_RULE            VARCHAR2(30 BYTE),
  BILL_CUSTOMER_RULE           VARCHAR2(30 BYTE),
  CREATE_CLEARING_FLAG         VARCHAR2(1 BYTE),
  CUST_TRX_TYPE_RULE           VARCHAR2(30 BYTE),
  DERIVE_DATE_FLAG             VARCHAR2(1 BYTE),
  END_DATE                     DATE,
  FOB_POINT_RULE               VARCHAR2(30 BYTE),
  GL_DATE_PERIOD_RULE          VARCHAR2(30 BYTE),
  INVALID_LINES_RULE           VARCHAR2(30 BYTE),
  INVALID_TAX_RATE_RULE        VARCHAR2(30 BYTE),
  INVENTORY_ITEM_RULE          VARCHAR2(30 BYTE),
  INVOICING_RULE_RULE          VARCHAR2(30 BYTE),
  MEMO_REASON_RULE             VARCHAR2(30 BYTE),
  REV_ACC_ALLOCATION_RULE      VARCHAR2(30 BYTE),
  SALESPERSON_RULE             VARCHAR2(30 BYTE),
  SALES_CREDIT_RULE            VARCHAR2(30 BYTE),
  SALES_CREDIT_TYPE_RULE       VARCHAR2(30 BYTE),
  SALES_TERRITORY_RULE         VARCHAR2(30 BYTE),
  SHIP_ADDRESS_RULE            VARCHAR2(30 BYTE),
  SHIP_CONTACT_RULE            VARCHAR2(30 BYTE),
  SHIP_CUSTOMER_RULE           VARCHAR2(30 BYTE),
  SHIP_VIA_RULE                VARCHAR2(30 BYTE),
  SOLD_CUSTOMER_RULE           VARCHAR2(30 BYTE),
  START_DATE                   DATE,
  TERM_RULE                    VARCHAR2(30 BYTE),
  UNIT_OF_MEASURE_RULE         VARCHAR2(30 BYTE),
  ATTRIBUTE11                  VARCHAR2(150 BYTE),
  ATTRIBUTE12                  VARCHAR2(150 BYTE),
  ATTRIBUTE13                  VARCHAR2(150 BYTE),
  ATTRIBUTE14                  VARCHAR2(150 BYTE),
  ATTRIBUTE15                  VARCHAR2(150 BYTE),
  CUSTOMER_BANK_ACCOUNT_RULE   VARCHAR2(30 BYTE),
  MEMO_LINE_RULE               VARCHAR2(30 BYTE),
  RECEIPT_METHOD_RULE          VARCHAR2(30 BYTE),
  RELATED_DOCUMENT_RULE        VARCHAR2(30 BYTE),
  ALLOW_SALES_CREDIT_FLAG      VARCHAR2(1 BYTE),
  GROUPING_RULE_ID             NUMBER(15),
  CREDIT_MEMO_BATCH_SOURCE_ID  NUMBER(15),
  GLOBAL_ATTRIBUTE1            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9            VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20           VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY    VARCHAR2(30 BYTE),
  COPY_DOC_NUMBER_FLAG         VARCHAR2(1 BYTE),
  DEFAULT_REFERENCE            VARCHAR2(80 BYTE),
  BATCH_SOURCE_ID_N            NUMBER(15),
  ORG_ID_N                     NUMBER(15)
);
